Skip to navigation

Add Member

View as Markdown

Add an existing user to a firm.

Note: for now, no invite flow is implemented. The target user must already exist (i.e., be registered in the system).

Allowed roles:

  • owner

Required fields:

  • email (string)
  • role (string) — one of owner | ca_staff | client

Response:

  • id (int)
  • firm_id (int)
  • user_id (int)
  • role (string)

Errors:

  • 401: Missing/invalid token
  • 403: Forbidden
  • 404: Firm or user not found
  • 409: User is already a member
  • 422: Validation error

Authentication

Authorizationstring
API Key authentication via header

Path parameters

firm_slugstringRequired3-64 characters

Request

This endpoint expects an object.
emailstringRequired
roleenumRequired

Role of a user within a Firm (tenant).

Allowed values:

Response

Successful Response
dataobject
statusstringOptionalDefaults to success

Errors

422
Unprocessable Entity Error